post
https://yourorgsite.com/api/BatchSummary/_execute
Executes an operation of BatchSummary
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
With the BatchSummary service, you can perform the following operations on the execute endpoint:
- Post
- BulkSetOpen
- BulkSetReady
- GetOrCreateAutoPayBatchByDate
Post
BODY PARAMS:
{
"$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
"OperationName": "Post",
"EntityTypeName": "BatchSummary",
"Parameters": {
"$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
"$values": [
{
"$type": "System.String",
"$value": "batchId Value"
}
]
},
"ParameterTypeName": {
"$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
"$values": [
"System.String"
]
},
"UseJson": false
}
BulkSetReady
BODY PARAMS:
{
"$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
"OperationName": "BulkSetReady",
"EntityTypeName": "BatchSummary",
"Parameters": {
"$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
"$values": [
{
"$type": "System.Collections.Generic.List`1[[System.String, mscorlib, ]]",
"$value": "keys Value"
}
]
},
"ParameterTypeName": {
"$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
"$values": [
"System.Collections.Generic.List`1[[System.String, mscorlib, ]]"
]
},
"UseJson": false
}
BulkSetOpen
BODY PARAMS:
{
"$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
"OperationName": "BulkSetOpen",
"EntityTypeName": "BatchSummary",
"Parameters": {
"$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
"$values": [
{
"$type": "System.Collections.Generic.List`1[[System.String, mscorlib, ]]",
"$value": "keys Value"
}
]
},
"ParameterTypeName": {
"$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
"$values": [
"System.Collections.Generic.List`1[[System.String, mscorlib, ]]"
]
},
"UseJson": false
}
GetOrCreateAutoPayBatchByDate
BODY PARAMS:
{
"$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
"OperationName": "GetOrCreateAutoPayBatchByDate",
"EntityTypeName": "BatchSummary",
"Parameters": {
"$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
"$values": [
{
"$type": "System.DateTime",
"$value": "paymentDate Value"
}
]
},
"ParameterTypeName": {
"$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
"$values": [
"System.DateTime"
]
},
"UseJson": false
}
200The request was successful.
201The resource was successfully created.
202The resource was asynchronously created.